import 'package:flutter/material.dart';
import 'package:sk_base_mobile/app_theme.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class SkTag extends StatelessWidget {
  final String text;
  final Color? color;
  const SkTag({super.key, required this.text, required this.color});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(
          horizontal: ScreenAdaper.height(10),
          vertical: ScreenAdaper.height(4)),
      decoration: BoxDecoration(
        border: Border.all(
            color: (color ?? AppTheme.primaryColorLight).withOpacity(0.1)),
        color: (color ?? AppTheme.primaryColorLight).withOpacity(0.2),
        borderRadius: BorderRadius.circular(ScreenAdaper.sp(15)),
      ),
      child: Text(
        text,
        style: TextStyle(
            color: color ?? AppTheme.primaryColorLight,
            fontWeight: FontWeight.w600,
            fontSize: ScreenAdaper.height(25)),
      ),
    );
  }
}
